Bug 508738 - (CVE-2009-1889) CVE-2009-1889 pidgin: DoS via specially-crafted ICQWebMessage
CVE-2009-1889 pidgin: DoS via specially-crafted ICQWebMessage
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://developer.pidgin.im/ticket/9483
reported=20090629,public=20090528,imp...
: Security
Depends On: 508740 508741 508742 508743 508744 833959
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 13:13 EDT by Jan Lieskovsky
Modified: 2012-06-20 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-06-29 13:13:42 EDT
An out-of-memory denial of service flaw was found in the Pidgin's
Open System for CommunicAtion in Realtime (OSCAR) protocol implementation.
If a remote ICQ user sent a web message to the local Pidgin user using this protocol, it would lead to excessive memory allocation and denial of service (Pidgin crash). 

References:
http://developer.pidgin.im/ticket/9483
http://pidgin.im/pipermail/devel/2009-May/008227.html
Comment 4 errata-xmlrpc 2009-07-02 11:23:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1139 https://rhn.redhat.com/errata/RHSA-2009-1139.html
Comment 5 Fedora Update System 2009-07-03 15:45:00 EDT
pidgin-2.5.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-03 15:47:16 EDT
pidgin-2.5.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-03 15:55:42 EDT
pidgin-2.5.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.